summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Fellype do Nascimento2022-04-23 21:26:31 +0200
committer Willy Sudiarto Raharjo2022-04-30 08:51:47 +0200
commitf0ed45b6d9619d0d03055e91c32bb0021c3b58e1 (patch)
treed8594eae3f81bace8565ac4f296f24412f45f61a /academic
parente6ed7f2b65d4ffa8d668417bf6bd4077d23ef4e5 (diff)
downloadslackbuilds-f0ed45b6d9619d0d03055e91c32bb0021c3b58e1.tar.gz
academic/AlphaPlot: Added (data analysis and visualization)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/AlphaPlot/AlphaPlot.SlackBuild100
-rw-r--r--academic/AlphaPlot/AlphaPlot.info10
-rw-r--r--academic/AlphaPlot/README4
-rw-r--r--academic/AlphaPlot/doinst.sh19
-rw-r--r--academic/AlphaPlot/slack-desc19
5 files changed, 152 insertions, 0 deletions
diff --git a/academic/AlphaPlot/AlphaPlot.SlackBuild b/academic/AlphaPlot/AlphaPlot.SlackBuild
new file mode 100644
index 0000000000..5b597e923f
--- /dev/null
+++ b/academic/AlphaPlot/AlphaPlot.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/bash
+
+# Slackware build script for AlphaPlot
+#
+# Copyright 2022, Fellype do Nascimento, Guaratingueta - Brazil
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=AlphaPlot
+VERSION=${VERSION:-1.02}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+qmake-qt5
+make
+make install INSTALL_ROOT=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.md COPYING Changelog $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $PKG/usr/share/doc/alphaplot/*.* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+rm -rf $PKG/usr/share/doc
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/academic/AlphaPlot/AlphaPlot.info b/academic/AlphaPlot/AlphaPlot.info
new file mode 100644
index 0000000000..8108426b35
--- /dev/null
+++ b/academic/AlphaPlot/AlphaPlot.info
@@ -0,0 +1,10 @@
+PRGNAM="AlphaPlot"
+VERSION="1.02"
+HOMEPAGE="https://alphaplot.sourceforge.io/"
+DOWNLOAD="https://github.com/narunlifescience/AlphaPlot/archive/1.02/AlphaPlot-1.02.tar.gz"
+MD5SUM="c4a0d0b4ff78d4b7a75d13128df534be"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Fellype do Nascimento"
+EMAIL="fellype (at) gmail (dot) com"
diff --git a/academic/AlphaPlot/README b/academic/AlphaPlot/README
new file mode 100644
index 0000000000..c66e461dc1
--- /dev/null
+++ b/academic/AlphaPlot/README
@@ -0,0 +1,4 @@
+Alpha Plot is a free application for Scientific Data Analysis and
+Visualization for Windows, Linux and Mac OS X (probably BSD also).
+It can generate different types of publication quality 2D and 3D
+plots with extensive visual customization.
diff --git a/academic/AlphaPlot/doinst.sh b/academic/AlphaPlot/doinst.sh
new file mode 100644
index 0000000000..d4daff51d1
--- /dev/null
+++ b/academic/AlphaPlot/doinst.sh
@@ -0,0 +1,19 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
+if [ -e usr/share/icons/locolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/locolor >/dev/null 2>&1
+ fi
+fi
diff --git a/academic/AlphaPlot/slack-desc b/academic/AlphaPlot/slack-desc
new file mode 100644
index 0000000000..a03106331a
--- /dev/null
+++ b/academic/AlphaPlot/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+AlphaPlot: AlphaPlot (data analysis and visualization)
+AlphaPlot:
+AlphaPlot: Application for statistical analysis and data visualization which can
+AlphaPlot: generate different types of publication quality 2D and 3D plots with
+AlphaPlot: extensive visual customization.
+AlphaPlot:
+AlphaPlot:
+AlphaPlot:
+AlphaPlot:
+AlphaPlot:
+AlphaPlot: